#spinner {
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.75);
    z-index: 9999;
    display: none;
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.centered {
    text-align: center;
}

#spinner::after {
    content: '';
    display: block;
    position: absolute;
    top: calc(50% - 50px);
    left: calc(50% - 60px);
    width: 120px;
    height: 120px;
    border: 6px solid #e7dcff;
    border-radius: 50%;
    border-top: 6px solid #49134c;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}
